﻿@using InternetShopWebProject.DAL.Repository
@using InternetShopWebProject.CookiesManager
@using InternetShopWebProject.Common.Models
@{
    var stickers = DependencyResolver.Current.GetService<IStickerRepository>()
        .StickersById(LastViewed.Products).ToList()
        .Select(s => new ProductWithBagInfo(new MainProductModel().ToMainProductModel(s), ShoppingCart.IsInBag(s.Id)));
    var maxItems = 4;
}

<link href="~/Content/Last-viewed.css" rel="stylesheet" type="text/css" />

@if (stickers.Count() != 0)
{
    <h5>Останні переглянуті</h5>
    <div id="carouselLastViewed" class="carousel slide" data-ride="carousel" data-interval="false">
        <div class="carousel-inner">
            @for (int i = 0; i < stickers.Count(); i += 4)
            {
                var active = i == 0 ? "active" : "";
                var isMaxItemClass = stickers.Count() <= i + maxItems ? "carousel-item-area-notfull" : "carousel-item-area";
                <div class='carousel-item @(active)'>
                    <div class="@(isMaxItemClass)">
                        @for (int j = i; j < i + maxItems; j++)
                        {
                            if (j < stickers.Count())
                            {
                                <div>
                                    @Html.Partial("_StickerCardPartial", stickers.ElementAt(j))
                                </div>
                            }
                        }
                    </div>
                </div>
            }
        </div>
        <a class="carousel-control-prev" href="#carouselLastViewed" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselLastViewed" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>
    </div>
}
